[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetChildrenRect

Get the visible part of a possibly scrolled client area.

## Declaration

Source position: controls.pp line 1740

`public function TControl.GetChildrenRect(`
`Scrolled: Boolean`
`):TRect; virtual;`

## Arguments

`Scrolled` |  | True forces scrolling taken into account.

## Function result

The visible part of the client area.

## Description

If Scrolled is False, the ScrollOffset is ignored, so that the ClientRect is returned. Returns the Client rectangle relative to the left and top for the control. If Scrolled is True, the rectangle is moved by the current scrolling values (for an example see TScrollingWincontrol).